var c = Object.defineProperty;
var a = Object.getOwnPropertySymbols;
var u = Object.prototype.hasOwnProperty, i = Object.prototype.propertyIsEnumerable;
var r = (l, e, t) => e in l ? c(l, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : l[e] = t, o = (l, e) => {
  for (var t in e || (e = {}))
    u.call(e, t) && r(l, t, e[t]);
  if (a)
    for (var t of a(e))
      i.call(e, t) && r(l, t, e[t]);
  return l;
};
import { useAttrs as d, computed as p, openBlock as f, createElementBlock as _, createVNode as b, mergeProps as h, unref as S, withCtx as g, renderSlot as x } from "vue";
import { ao as y } from "./index2.js";
const w = { class: "s-form-item" }, N = {
  __name: "SFormItem",
  props: {
    label: {
      type: String,
      default: ""
    },
    labelWidth: {
      type: [Number, String],
      default: 80
    },
    name: {
      type: String,
      default: ""
    }
  },
  setup(l) {
    const e = d(), t = l, s = p(() => {
      const n = t.labelWidth + "";
      return {
        labelCol: {
          style: {
            width: n.includes("px") ? n : n + "px"
          }
        }
      };
    });
    return (n, k) => {
      const m = y;
      return f(), _("div", w, [
        b(m, h({
          label: l.label,
          name: l.name
        }, o(o({}, s.value), S(e))), {
          default: g(() => [
            x(n.$slots, "default")
          ]),
          _: 3
        }, 16, ["label", "name"])
      ]);
    };
  }
};
export {
  N as default
};
